Subject: Re: [Bitcoin-development] Address Expiration to Prevent Reuse

From: Tom Harding <[email-masked]>
Date: Thu, 26 Mar 2015 14:26:59 -0700

On 3/26/2015 1:42 PM, Gregory Maxwell wrote:
> Which is why a simpler, safer, client enforced behavior is probably
> preferable. Someone who wants to go hack their client to make a
> payment that isn't according to the payee will have to live with the
> results, esp. as we can't prevent that in a strong sense.

I should have been clearer that the motivation for address expiration is 
to reduce the rate of increase of the massive pile of bitcoin addresses 
out there which have to be monitored forever for future payments.  It 
could make a significant dent if something like this worked, and were 
used by default someday.

Address expiration is not an enhancement to the payment experience and 
it doesn't stop sender from doing something weird.  Hacking a new 
address for the recipient would be just as weird as hacking their client 
IMHO.